List text templates
Every template in order. Needs read on Animals.
GET
https://{organization}.rescueconsole.com
/
api
/
animals
/
text-templates
List text templates
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/text-templates \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/text-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/text-templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"label": "<string>",
"body": "<string>",
"used_for": "note",
"sort_order": 123,
"is_active": true,
"body_blocks": [
{}
],
"note_type_id": "<string>",
"applies_to": "animals"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
List text templates
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/text-templates \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/text-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/text-templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"label": "<string>",
"body": "<string>",
"used_for": "note",
"sort_order": 123,
"is_active": true,
"body_blocks": [
{}
],
"note_type_id": "<string>",
"applies_to": "animals"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
